# ElementData (ARX Developer Documentation)

org.deidentifier.arx.certificate.elements

## Class ElementData

- java.lang.Object
- - org.deidentifier.arx.certificate.elements.ElementData

- All Implemented Interfaces:
    Element

      public class ElementData
      extends java.lang.Object
      implements Element

  Complex element of data items

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementData(java.lang.String text)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementData` | `addItem(java.lang.String item)` Adds an item
    `ElementData` | `addPercentProperty(java.lang.String property, double value)` Adds a number between 0 and 1 as precentage
    `ElementData` | `addProperty(java.lang.String property, ARXLattice.Anonymity value)` Adds a property
    `ElementData` | `addProperty(java.lang.String property, boolean value)` Adds a property
    `ElementData` | `addProperty(java.lang.String property, double value)` Adds a property
    `ElementData` | `addProperty(java.lang.String property, ElementData value)` Adds a property
    `ElementData` | `addProperty(java.lang.String property, int value)` Adds a property
    `ElementData` | `addProperty(java.lang.String property, long value)` Adds a property
    `ElementData` | `addProperty(java.lang.String property, java.lang.String value)` Adds a property
    `ElementList` | `asList()` Returns a list
    `ElementList` | `asList(java.lang.String prefix)` Returns a list
    `java.lang.String` | `getText()` Returns the text
    `void` | `render(rst.pdfbox.layout.elements.Document target, int indent, CertificateStyle style)` Renders the element to the given target

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementData

          public ElementData(java.lang.String text)

      Creates a new instance
      Parameters:
        `text` -

  - ### Method Detail

    - #### addItem

          public ElementData addItem(java.lang.String item)

      Adds an item
      Parameters:
        `item` -

    - #### addProperty

          public ElementData addProperty(java.lang.String property,
                                ARXLattice.Anonymity value)

      Adds a property
      Parameters:
        `property` -
        `value` -

    - #### addProperty

          public ElementData addProperty(java.lang.String property,
                                boolean value)

      Adds a property
      Parameters:
        `property` -
        `value` -

    - #### addProperty

          public ElementData addProperty(java.lang.String property,
                                double value)

      Adds a property
      Parameters:
        `property` -
        `value` -

    - #### addProperty

          public ElementData addProperty(java.lang.String property,
                                int value)

      Adds a property
      Parameters:
        `property` -
        `value` -

    - #### addProperty

          public ElementData addProperty(java.lang.String property,
                                long value)

      Adds a property
      Parameters:
        `property` -
        `value` -

    - #### addProperty

          public ElementData addProperty(java.lang.String property,
                                java.lang.String value)

      Adds a property
      Parameters:
        `property` -
        `value` -

    - #### addProperty

          public ElementData addProperty(java.lang.String property,
                                ElementData value)

      Adds a property
      Parameters:
        `property` -
        `value` -

    - #### addPercentProperty

          public ElementData addPercentProperty(java.lang.String property,
                                       double value)

      Adds a number between 0 and 1 as precentage
      Parameters:
        `property` -
        `value` -

    - #### asList

          public ElementList asList()

      Returns a list
      Returns:

    - #### asList

          public ElementList asList(java.lang.String prefix)

      Returns a list
      Parameters:
        `prefix` -
      Returns:

    - #### getText

          public java.lang.String getText()

      Returns the text
      Returns:

    - #### render

          public void render(rst.pdfbox.layout.elements.Document target,
                    int indent,
                    CertificateStyle style)
                      throws java.io.IOException

      Description copied from interface: `Element`
      Renders the element to the given target
      Specified by:
        `render` in interface `Element`
      Throws:
        `java.io.IOException`